4Suite™ API Documentation

# ► Module Ft.Xml.cDomlette

cDomlette implementation: a very fast DOM-like library tailored for use in XPath/XSLT
Copyright 2005 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Functions: CreateParser, GetAllNs, NonvalParse, Parse, SeekNss, ValParse |  |  |  | Fields: implementation

## Functions

CreateParser([readExtDtd])
CreateParser([readExtDtd]) -> Parser
Return a new XML parser object.
GetAllNs(node)
GetAllNs(node) -> dict
Get all of the namespaces defined in scope of this node.
NonvalParse(isrc[, readExtDtd[, parseAsEntity]])
nonvalParse(isrc[, readExtDtd[, parseAsEntity]]) -> Document
Parse(isrc[, readExtDtd[, parseAsEntity]])
parse(isrc[, readExtDtd[, parseAsEntity]]) -> Document
SeekNss(node)
SeekNss(node) -> dict
Traverses the tree to seek an approximate set of defined namespaces.
ValParse(isrc, readExtDtd=True)

## Fields

implementation = <DOMImplementation>
The DOMImplementation interface provides a number of methods for performing operations that are independent of any particular instance of the document object model.